## org.eclipse.emf.ecore.sdo.util
Interface ESequence

All Superinterfaces:
  Sequence

All Known Implementing Classes:
  BasicESequence

    public interface ESequence

extends Sequence

Method Summary
`void` `add(int index, java.lang.String text)` Adds a new entry with the specified text value at the specified entry index.
`void` `add(java.lang.String text)` Adds a new entry with the specified text value to the end of the entries.
`FeatureMap` `featureMap()`

Methods inherited from interface commonj.sdo.Sequence
`add, add, add, add, add, add, getProperty, getValue, move, remove, setValue, size`

Method Detail

### featureMap

    FeatureMap featureMap()

### add

    void add(java.lang.String text)

  Adds a new entry with the specified text value to the end of the entries.

  Parameters:
    `text` - the value for the entry.

### add

    void add(int index,
             java.lang.String text)

  Adds a new entry with the specified text value at the specified entry index.

  Parameters:
    `index` - the index at which to add the entry.
    `text` - the value of the entry.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.